Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235607 - are atk, gdk and cairo direct pkgconfig requires?
Summary: are atk, gdk and cairo direct pkgconfig requires?
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk+
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-07 21:41 UTC by Patrice Dumas
Modified: 2008-01-27 20:14 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-08 22:46:56 UTC


Attachments (Terms of Use)

Description Patrice Dumas 2007-04-07 21:41:58 UTC
Description of problem:

In /usr/lib/pkgconfig/gtk+-2.0.pc, it seems that for a lot of packages 
Requires: gdk-${target}-2.0 atk cairo
results in over-linking (as shown by ldd -u -r).
Maybe those should be
Requires.private: gdk-${target}-2.0 atk cairo
or a subset. I may be wrong but, although this could be 
a dangerous change, it also has the potential of removing
lots of unneeded automatic rpm requires and ameliorate 
efficiency.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2007-04-08 22:46:56 UTC
No, gdk, atk and cairo are all directly referred to in the gtk headers, and are
all supposed to be usable for gtk applications. Thus Requires.private would be
wrong.

Comment 2 Patrice Dumas 2008-01-27 20:14:38 UTC
Indeed, you are right. I did some checks, and indeed there is none 
of these dependencies not needed for some random packages.


Note You need to log in before you can comment on or make changes to this bug.